.image-link-item-details-container {
  display: flex;
  flex-wrap: wrap;
  border-top: 2px solid rgba(79, 193, 233, 1);
  padding: 8px;
  .image-link-item-dropzone,
  .image-link-item-details-description {
    width: 100%;
  }
  .image-link-item-details-description {
    order: 2;
    display: flex;
    flex-wrap: wrap;
    color: rgba(0, 0, 0, 0.8);
    background-color: rgba(216, 216, 216, 0.12);
    border-radius: 4px;
    overflow: hidden;
    .image-link-item-details-description__name_buttons_container {
      display: flex;
      flex-wrap: nowrap;
      width: 100%;
      justify-content: space-between;
      .image-link-item-details-description__name_buttons_container__name {
        padding-left: 8px;
        justify-content: space-between;
        align-items: center;
        display: flex;
        width: 100%;
        p {
          color: rgba(0, 0, 0, 0.8);
          font-size: 10px;
          line-height: 12px;
          font-weight: 300;
        }
      }
      button {
        width: 48px;
        height: 48px;
        flex-shrink: 0;
        flex-grow: 0;
        border: 0;
        outline: 0;
        background: none;
        cursor: pointer;
        padding: 0;
      }
      button:last-child {
        margin-left: auto;
        &:hover, &:active, &:focus {
          background-color: #d8d8d8;
        }
      }
    }
    .image-link-item-details-description__name_buttons_container.non-editable {
      height: 48px;
    }
    .image-link-item-details-description__input_label_container {
      width: 100%;
      .image-link-item-details-description__input_label {
        display: none;
      }
      .image-link-item-details-description__input_container {
        padding: 10px;
        box-sizing: border-box;
        width: 100%;

        textarea {
          resize: none;
          height: 48px;
          color: rgba(0, 0, 0, 0.8);
          font-family: $Rubik-Font;
          font-weight: 500;
          padding: 0;
          border: 0;
          outline: 0;
          background: none;
          width: 100%;
          overflow: hidden;
          text-overflow: ellipsis;
          font-size: 14px;
          line-height: 16px;
          white-space: normal;
          transition: all 1s ease;
        }

        .valid-input {
          border-bottom: 2px solid #C9BFBF;
        }

        .invalid-input {
          border-bottom: 2px solid #DC143C;
        }
      }
    }
    .image-link-item-details-description__input_label_container.non-editable {
      .image-link-item-details-description__input_container {
        a {
          font-weight: 500;
          font-size: 14px;
          line-height: 16px;
          overflow: hidden;
          text-overflow: ellipsis;
          display: block;
          height: 48px;
          color: #4fc1e9;
          cursor: pointer;
          word-break: break-all;
        }
        a:hover,
        a:active {
          text-decoration: underline;
        }
      }
    }
  }
  .image-link-item-dropzone-section {
    box-sizing: border-box;
    margin-bottom: 8px;
    width: 100%;
    .image-link-item-dropzone {
      padding-top: 100%;
      position: relative;
      width: 100%;
      .dropzone-container {
        width: 100%;
        box-sizing: border-box;
        padding: 8px;
        position: absolute;
        left: 0;
        top: 0;
        height: 100%;
      }
    }
  }
}
@media all and (min-width: 600px) {
  .image-link-item-details-container {
    margin: 0 24px;
    padding: 24px 0;
    flex-wrap: nowrap;
    .image-link-item-details-description {
      padding: 0 8px;
      order: 1;
      flex-wrap: nowrap;
      height: 48px;
      padding-left: 8px;
      .image-link-item-details-description__name_buttons_container {
        order: 2;
        width: 96px;
        flex-shrink: 0;
        flex-grow: 0;
        .image-link-item-details-description__name_buttons_container__name {
          display: none;
        }
      }
      .image-link-item-details-description__name_buttons_container.non-editable {
        display: none;
      }
      .image-link-item-details-description__input_label_container {
        display: flex;
        flex-wrap: wrap;
        align-content: center;
        .image-link-item-details-description__input_label {
          display: block;
          width: 100%;
          p {
            font-size: 12px;
            line-height: 14px;
          }
        }
        .image-link-item-details-description__input_container {
          padding: 0;
          textarea {
            height: 24px;
            font-size: 14px;
            line-height: 24px;
          }
        }
      }
      .image-link-item-details-description__input_label_container.non-editable {
        .image-link-item-details-description__input_container {
          a {
            height: 24px;
            word-break: normal;
            font-size: 14px;
            line-height: 24px;
          }
        }
      }
    }
    .image-link-item-dropzone-section {
      order: 2;
      margin: 0;
      max-width: 350px;
    }
  }
}
